API referenceWorkspaces
Find current workspace
Find the API key signed-in user workspace
GET
/users/me/workspacecurl -X GET "https://api.corma.io/v1/users/me/workspace" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Response
application/json200
OK
idnumberrequirednamestring | nullrequiredmainDomainstring | nullrequireddomainsstring[]requireditTeamEmailstring | nullrequiredfinanceTeamEmailstring | nullrequiredfallbackOwnerIdstring | nullrequiredplanenum<string> | nullrequiredOne of:freemiumstartuppaidunknownfallbackOwnerUserEmbed | nullrequiredaggregatesobjectrequiredcreatedAtstring<date-time>requiredThe timestamp of when this resource was created. ISO 8601 format.
updatedAtstring<date-time>requiredThe timestamp of the last update to this resource. ISO 8601 format.
{
"id": 0,
"name": "string",
"mainDomain": "string",
"domains": [
"string"
],
"itTeamEmail": "string",
"financeTeamEmail": "string",
"fallbackOwnerId": "string",
"plan": "freemium",
"fallbackOwner": {
"id": "string",
"type": "employee",
"email": "string",
"personalEmail": "string",
"name": "string",
"idpStatus": "active",
"hrStatus": "active",
"jobKey": "string",
"countryCode": "string",
"departmentKey": "string",
"startDate": "2026-01-15T09:30:00Z",
"terminationDate": "2026-01-15T09:30:00Z"
},
"aggregates": {
"licenses": {
"total": -9007199254740991,
"billingStatusCounts": {
"unrevoked": {
"total": -9007199254740991,
"active": -9007199254740991,
"inactive": -9007199254740991,
"unknown": -9007199254740991
},
"live": {
"total": -9007199254740991,
"active": -9007199254740991,
"inactive": -9007199254740991,
"unknown": -9007199254740991
},
"revoked": {
"total": -9007199254740991,
"active": -9007199254740991,
"inactive": -9007199254740991,
"unknown": -9007199254740991
}
},
"activityStatusCounts": {
"active": {
"total": -9007199254740991,
"unrevoked": -9007199254740991,
"live": -9007199254740991,
"revoked": -9007199254740991
},
"inactive": {
"total": -9007199254740991,
"unrevoked": -9007199254740991,
"live": -9007199254740991,
"revoked": -9007199254740991
},
"unknown": {
"total": -9007199254740991,
"unrevoked": -9007199254740991,
"live": -9007199254740991,
"revoked": -9007199254740991
}
}
}
},
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}